Summary:        Tool to convert between any document format supported by LibreOffice
Name:           unoconv
Version:        0.9.0
Release:        %mkrel 3
License:        GPLv2
Group:          System/Base
URL:            http://dag.wieers.com/home-made/unoconv/
Source:         https://github.com/dagwieers/unoconv/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3
Requires:       libreoffice-core
Requires:       libreoffice-pyuno
#  conversion from RTF fails without writer, so let's recommend it
Recommends:     libreoffice-writer
#  conversion from ODS fails without calc, so let's recommend it
Recommends:     libreoffice-calc
#  conversion from PPT fails without impress, so let's recommend it
Recommends:     libreoffice-impress

%description
unoconv converts between any document format that LibreOffice understands.
It uses LibreOffice's UNO bindings for non-interactive conversion of
documents.

Supported document formats include Open Document Format (.odf), MS Word (.doc),
MS Office Open/MS OOXML (.xml), Portable Document Format (.pdf), HTML, XHTML,
RTF, Docbook (.xml), and more.

%prep
%setup -q
sed -i 's|bin/env python|bin/env python3|' %{name}

%build

%install
%make_install

%files
%doc AUTHORS ChangeLog README.adoc tests/
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.9.0-3.mga9
+ Revision: 1812331
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 0.9.0-2.mga8
+ Revision: 1547386
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1488121
- new version: 0.9.0

* Wed Sep 19 2018 umeabot <umeabot> 0.8.2-2.mga7
+ Revision: 1276938
- Mageia 7 Mass Rebuild
+ zezinho <zezinho>
- new version 0.8.2
- recommend writer calc and impress to get usable results

* Fri Feb 19 2016 umeabot <umeabot> 0.7-2.mga6
+ Revision: 968667
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 akien <akien> 0.7-1.mga6
+ Revision: 854308
- Version 0.7

* Sun Feb 22 2015 akien <akien> 0.6-4.20140923.2.mga5
+ Revision: 816461
- Add python3 as a BR for AutoReq

* Sat Feb 21 2015 akien <akien> 0.6-4.20140923.1.mga5
+ Revision: 816265
- New dev snapshot with Python 3 support (version 0.6 is broken with LO 4)

* Wed Oct 15 2014 umeabot <umeabot> 0.6-3.mga5
+ Revision: 748378
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-2.mga5
+ Revision: 690055
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 0.6-1.mga5
+ Revision: 592362
- new version 0.6

* Fri Oct 18 2013 umeabot <umeabot> 0.4-3.mga5
+ Revision: 519912
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4-2.mga3
+ Revision: 385072
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 31 2011 ovitters <ovitters> 0.4-1.mga2
+ Revision: 136811
- imported package unoconv

